dvdbackup(1)

NAME
dvdbackup - Tool to backup DVDs

SYNOPSIS
dvdbackup [OPTION]...

DESCRIPTION
This manual page documents briefly the dvdbackup command. This manual page was written for the Debian distribution because the original program does not have a manual page. dvdbackup is a tool to extract data from video DVDs. It has the advantages of being small, fast, and easy to use.

OPTIONS
A summary of options is included below.

-h, --help
    print a brief usage message

-V, --version
    print version information

-I, --info
    for information about the DVD

-M, --mirror
    backup the whole DVD

-F, --feature
    backup the main feature of the DVD

-T X, --titleset=X
    backup title set X

-t X, --title=X
    backup title X

-s X, --start=X
    backup from chapter X

-e X, --end=X
    backup to chapter X

-i DEVICE, --input=DEVICE
    where DEVICE is your DVD device. This switch only needs to be used if your DVD device node is not /dev/dvd

-o DIRECTORY, --output=DIRECTORY
    where DIRECTORY is your backup target. If not given, the current working directory will be used.

-v, --verbose
    print more information about progress

-n NAME, --name=NAME
    (optional) set the title - useful if autodetection fails

-a 0, --aspect=0
    to get aspect ratio 4:3 instead of 16:9 if both are present

-r {a,b,m}, --error={a,b,m}
    select read error handling: a=abort, b=skip block, m=skip multiple blocks (default)

-p, --progress
    print progress information while copying VOBs

Option notes
-a is option to the -F switch and has no effect on other options
-s and -e should preferably be used together with -t

General backup information
If your backup directory is /my/dvd/backup/dir/ specified with the -o flag, then dvdbackup will create a DVD-Video structure under /my/dvd/backup/dir/TITLE_NAME/VIDEO_TS. If the -o flag is omitted, the current directory is used.

Since the title is "unique" you can use the same directory for all your DVD backups. If it happens to have a generic title dvdbackup will exit with a return value of 2, and you will need to specify a title name with the -n switch.

dvdbackup will always mimic the original DVD-Video structure. Hence if you e.g. use the -M (mirror) you will get an exact duplicate of the original. This means that every file will have the same size as the original one. Likewise also for the -F and the -T switch.

However the -t and (-t -s/-e) switch is a bit different the titles sectors will be written to the original file but not at the same offset as the original one since there may be gaps in the cell structure that we do not fill.

EXAMPLES

dvdbackup -I
    gathers information about the DVD. /dev/dvd is the default device tried - you need to use -i if your device name is different.

dvdbackup -M
    backups the whole DVD. This action creates a valid DVD-Video structure that can be burned to a DVD-/+R(W) with help of genisoimage.

dvdbackup -F
    backups the main feature of the DVD. This action creates a valid DVD-Video structure of the feature title set. Note that this will not result in an image immediately watchable - you will need another program like dvdauthor to help construct the IFO files.

    dvdbackup defaults to get the 16:9 version of the main feature if a 4:3 is also present on the DVD. To get the 4:3 version use -a 0.

    dvdbackup makes it best to make a intelligent guess what is the main feature of the DVD - in case it fails please send a bug report.

dvdbackup -T 2
    backups the title set 2 i.e. all VTS_02_X.XXX files. This action creates a valid DVD-Video structure of the specified title set. Note that this will not result in an image immediately watchable - you will need another program like dvdauthor to help construct the IFO files.

dvdbackup -t 1
    backups the title 1. This action backups all cells that forms the specified title. Note that there can be sector gaps in between one cell and another. dvdbackup will backup all sectors that belongs to the title but will skip sectors that are not a part of the title.

dvdbackup -t 1 -s 20 -e 25
    This action will backup chapter 20 to 25 in title 1, as with the backup of a title there can be sector gaps between one chapter (cell) and on other. dvdbackup will backup all sectors that belongs to the title 1 chapter 20 to 25 but will skip sectors that are not a part of the title 1 chapter 20 to 25.

    To backup a single chapter e.g. chapter 20 do -s 20 -e 20.
    To backup from chapter 20 to the end chapter use only -s 20.
    To backup to chapter 20 from the first chapter use only -e 20.

    You can skip the -t switch and let the program guess the title although it is not recommended.

    If you specify a chapter that is higher than the last chapter of the title dvdbackup will truncate to the highest chapter of the title.

EXIT STATUS

0   on success

1   on usage error

2   on title name error

-1  on failure

AUTHORS
dvdbackup was written by Olaf Beck <olaf_sc@yahoo.com>, but is now maintained by Benjamin Drung <benjamin.drung@gmail.com> and Stephen Gran <sgran@debian.org>. This manual page was written by Stephen Gran <sgran@debian.org>.